SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPARREC_OM_SYSTEM_PARAM';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
      from   oe_system_parameters_all sp,
             hr_organization_information hoi,
             gl_sets_of_books a
	  where  hoi.org_information_context = 'Operating Unit Information'
	  and    hoi.org_information3 = a.set_of_books_id
	  and    hoi.organization_id = sp.org_id
	  and 	 upper(a.short_name) = l_code;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_OE_SYSTEM_PARAMETERS_ALL;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			
END;
/
